com.fasterxml.jackson.dataformat.ion.ionvalue

## Class IonValueMapper

- java.lang.Object
- - com.fasterxml.jackson.core.TreeCodec
  - - com.fasterxml.jackson.core.ObjectCodec
    - - com.fasterxml.jackson.databind.ObjectMapper
      - - com.fasterxml.jackson.dataformat.ion.IonObjectMapper
        - - com.fasterxml.jackson.dataformat.ion.ionvalue.IonValueMapper

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class IonValueMapper
      extends IonObjectMapper

  Supports serializing Ion to POJO and back using the Jackson Ion framework. Direct serialization to and from IonValue fields is supported. The POJO can declare fields of type IonValue (or a subclass) and the direct value will be provided. Enums are serialized as symbols by default.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.dataformat.ion.IonObjectMapper

      `IonObjectMapper.Builder`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `com.fasterxml.jackson.databind.ObjectMapper.DefaultTypeResolverBuilder, com.fasterxml.jackson.databind.ObjectMapper.DefaultTyping`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `_configOverrides, _deserializationConfig, _deserializationContext, _injectableValues, _jsonFactory, _mixIns, _registeredModuleTypes, _rootDeserializers, _serializationConfig, _serializerFactory, _serializerProvider, _subtypeResolver, _typeFactory, DEFAULT_ANNOTATION_INTROSPECTOR, DEFAULT_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IonValueMapper(com.amazon.ion.IonSystem ionSystem)` Constructor which provides a mapper with a null `PropertyNamingStrategy`.
    `IonValueMapper(com.amazon.ion.IonSystem ionSystem, com.fasterxml.jackson.databind.PropertyNamingStrategy strategy)` Constructor that provides an override on the default Constructor for the PropertyNamingStrategy.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `parse(com.amazon.ion.IonValue value, Class<T> clazz)`
    `<T> com.amazon.ion.IonValue` | `serialize(T o)`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.ion.IonObjectMapper

      `builder, builder, copy, getFactory, readValue, readValue, readValue, readValue, readValue, readValue, setCreateBinaryWriters, version, writeValue, writeValueAsIonValue`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `_assertNotNull, _checkInvalidCopy, _configAndWriteValue, _constructDefaultTypeResolverBuilder, _convert, _findRootDeserializer, _initForReading, _initForReading, _newReader, _newReader, _newWriter, _newWriter, _newWriter, _readMapAndClose, _readTreeAndClose, _readValue, _serializerProvider, _unwrapAndDeserialize, _verifyNoTrailingTokens, _verifySchemaType, acceptJsonFormatVisitor, acceptJsonFormatVisitor, activateDefaultTyping, activateDefaultTyping, activateDefaultTyping, activateDefaultTypingAsProperty, addHandler, addMixIn, addMixInAnnotations, canDeserialize, canDeserialize, canSerialize, canSerialize, clearProblemHandlers, configOverride, configure, configure, configure, configure, configure, constructType, convertValue, convertValue, convertValue, createArrayNode, createDeserializationContext, createObjectNode, deactivateDefaultTyping, defaultClassIntrospector, disable, disable, disable, disable, disable, disable, disable, disableDefaultTyping, enable, enable, enable, enable, enable, enable, enable, enableDefaultTyping, enableDefaultTyping, enableDefaultTyping, enableDefaultTypingAsProperty, findAndRegisterModules, findMixInClassFor, findModules, findModules, generateJsonSchema, getDateFormat, getDeserializationConfig, getDeserializationContext, getInjectableValues, getJsonFactory, getNodeFactory, getPolymorphicTypeValidator, getPropertyNamingStrategy, getRegisteredModuleIds, getSerializationConfig, getSerializerFactory, getSerializerProvider, getSerializerProviderInstance, getSubtypeResolver, getTypeFactory, getVisibilityChecker, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, missingNode, mixInCount, nullNode, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, readerFor, readerFor, readerFor, readerForUpdating, readerWithView, readTree, readTree, readTree, readTree, readTree, readTree, readTree, readTree, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValues, readValues, readValues, readValues, registerModule, registerModules, registerModules, registerSubtypes, registerSubtypes, registerSubtypes, setAnnotationIntrospector, setAnnotationIntrospectors, setBase64Variant, setConfig, setConfig, setDateFormat, setDefaultLeniency, setDefaultMergeable, setDefaultPrettyPrinter, setDefaultPropertyInclusion, setDefaultPropertyInclusion, setDefaultSetterInfo, setDefaultTyping, setDefaultVisibility, setFilterProvider, setFilters, setHandlerInstantiator, setInjectableValues, setLocale, setMixInAnnotations, setMixInResolver, setMixIns, setNodeFactory, setPolymorphicTypeValidator, setPropertyInclusion, setPropertyNamingStrategy, setSerializationInclusion, setSerializerFactory, setSerializerProvider, setSubtypeResolver, setTimeZone, setTypeFactory, setVisibility, setVisibility, setVisibilityChecker, tokenStreamFactory, treeAsTokens, treeToValue, updateValue, valueToTree, writer, writer, writer, writer, writer, writer, writer, writer, writer, writer, writerFor, writerFor, writerFor, writerWithDefaultPrettyPrinter, writerWithType, writerWithType, writerWithType, writerWithView, writeTree, writeTree, writeValue, writeValue, writeValue, writeValue, writeValue, writeValueAsBytes, writeValueAsString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IonValueMapper

          public IonValueMapper(com.amazon.ion.IonSystem ionSystem)

      Constructor which provides a mapper with a null `PropertyNamingStrategy`.
      Parameters:
        `ionSystem` -

    - #### IonValueMapper

          public IonValueMapper(com.amazon.ion.IonSystem ionSystem,
                                com.fasterxml.jackson.databind.PropertyNamingStrategy strategy)

      Constructor that provides an override on the default Constructor for the PropertyNamingStrategy.
      Parameters:
        `ionSystem` -
        `strategy` - Strategy Jackson uses for mapping POJO field names to Json/Ion field names `PropertyNamingStrategy`

  - ### Method Detail

    - #### parse

          public <T> T parse(com.amazon.ion.IonValue value,
                             Class<T> clazz)
                      throws IOException

      Throws:
        `IOException`

    - #### serialize

          public <T> com.amazon.ion.IonValue serialize(T o)
                                                throws IOException

      Throws:
        `IOException`

Copyright © 2019 FasterXML. All rights reserved.